## ros-humble-rviz-ogre-vendor 11.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(rviz_ogre_vendor)

find_package(ament_cmake REQUIRED)

set(PACKAGE_VERSION "1.0.0")

# Avoid DOWNLOAD_EXTRACT_TIMESTAMP warning for CMake >= 3.24
if(POLICY CMP0135)
  cmake_policy(SET CMP0135 NEW)
endif()

if(WIN32)
  set(BUILDING_FREETYPE_LOCALLY ON)
  set(BUILDING_ZLIB_LOCALLY ON)
else()
  set(BUILDING_FREETYPE_LOCALLY OFF)
  set(BUILDING_ZLIB_LOCALLY OFF)
endif()

if(WIN32 AND NOT ${CMAKE_VERBOSE_MAKEFILE})
  set(should_log ON)  # prevent warnings in Windows CI
else()
  set(should_log OFF)
endif()

macro(build_freetype)
  set(extra_cmake_args)
  set(FREETYPE_CXX_FLAGS ${CMAKE_CXX_FLAGS})

  if(WIN32)
    list(APPEND FREETYPE_CXX_FLAGS "/w")
    list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=/w")
  endif()

  if(DEFINED CMAKE_TOOLCHAIN_FILE)
    list(APPEND extra_cmake_args "-DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE}")
  else()
    list(APPEND extra_cmake_args "-DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}")
    list(APPEND extra_cmake_args "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}")
  endif()
  list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=${FREETYPE_CXX_FLAGS}")

  include(ExternalProject)
  ExternalProject_Add(freetype-2.8.1
    URL https://git.savannah.gnu.org/cgit/freetype/freetype2.git/snapshot/freetype2-VER-2-6-5.tar.gz
    URL_MD5 0dd62a0125895431e074a3df29f94d69
    TIMEOUT 600
    LOG_CONFIGURE ${should_log}
    LOG_BUILD ${should_log}
    CMAKE_ARGS
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/freetype_install
      ${extra_cmake_args}
      -Wno-dev
      -DWITH_ZLIB=OFF
      -DWITH_BZip2=OFF
      -DWITH_PNG=OFF
      -DWITH_HarfBuzz=OFF
  )

  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/freetype_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor
    USE_SOURCE_PERMISSIONS
  )
endmacro()

macro(build_zlib)
  set(extra_cmake_args)
  set(ZLIB_CXX_FLAGS ${CMAKE_CXX_FLAGS})

  if(WIN32)
    list(APPEND ZLIB_CXX_FLAGS "/w")
    list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=/w")
  endif()

  if(DEFINED CMAKE_TOOLCHAIN_FILE)
    list(APPEND extra_cmake_args "-DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE}")
  else()
    list(APPEND extra_cmake_args "-DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}")
    list(APPEND extra_cmake_args "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}")
  endif()
  list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=${ZLIB_CXX_FLAGS}")

  include(ExternalProject)
  ExternalProject_Add(zlib-1.2.11
    URL https://www.zlib.net/fossils/zlib-1.2.11.tar.gz
    URL_MD5 1c9f62f0778697a09d36121ead88e08e
    TIMEOUT 600
    LOG_CONFIGURE ${should_log}
    LOG_BUILD ${should_log}
    CMAKE_ARGS
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/zlib-install
      ${extra_cmake_args}
      -Wno-dev
  )

  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/zlib-install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor
    USE_SOURCE_PERMISSIONS
  )
endmacro()

macro(build_ogre)
  set(extra_cmake_args)
  set(OGRE_C_FLAGS ${CMAKE_C_FLAGS})
  set(OGRE_CXX_FLAGS ${CMAKE_CXX_FLAGS})
  # standard library is important for linking, but the other cxx flags are not
  if(CMAKE_CXX_FLAGS MATCHES "-stdlib=libc\\+\\+")
    set(OGRE_CXX_FLAGS "${OGRE_CXX_FLAGS} -stdlib=libc++")
  endif()

  if(DEFINED CMAKE_BUILD_TYPE)
    list(APPEND extra_cmake_args -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE})
  endif()

  if(WIN32)
    set(OGRE_C_FLAGS "${OGRE_C_FLAGS} /w /EHsc")
    set(OGRE_CXX_FLAGS "${OGRE_CXX_FLAGS} /w /EHsc")
  elseif(APPLE)
    set(OGRE_CXX_FLAGS "${OGRE_CXX_FLAGS} -std=c++14 -stdlib=libc++ -w")
    list(APPEND extra_cmake_args "-DCMAKE_OSX_ARCHITECTURES='x86_64'")
  else()  # Linux
    set(OGRE_C_FLAGS "${OGRE_C_FLAGS} -w")
    # include Clang -Wno-everything to disable warnings in that build. GCC doesn't mind it
    set(OGRE_CXX_FLAGS "${OGRE_CXX_FLAGS} -std=c++14 -w -Wno-everything")
  endif()
  list(APPEND extra_cmake_args "-DOGRE_BUILD_RENDERSYSTEM_GL:BOOL=TRUE")
  list(APPEND extra_cmake_args "-DOGRE_BUILD_RENDERSYSTEM_D3D11:BOOL=OFF")
  list(APPEND extra_cmake_args "-DOGRE_BUILD_RENDERSYSTEM_D3D9:BOOL=OFF")
  list(APPEND extra_cmake_args "-DCMAKE_C_FLAGS=${OGRE_C_FLAGS}")
  list(APPEND extra_cmake_args "-DCMAKE_CXX_FLAGS=${OGRE_CXX_FLAGS}")

  # Uncomment this line to enable the GL3PLUS render engine
  # list(APPEND extra_cmake_args "-DOGRE_BUILD_RENDERSYSTEM_GL3PLUS:BOOL=TRUE")

  # These next lines can be used to disable some of the components or plugins for OGRE
  list(APPEND extra_cmake_args "-DOGRE_CONFIG_ENABLE_ZIP:BOOL=ON")

  if(BUILDING_FREETYPE_LOCALLY)
    list(APPEND extra_cmake_args
      "-DFREETYPE_HOME=${CMAKE_CURRENT_BINARY_DIR}/freetype_install")
  endif()
  if(BUILDING_ZLIB_LOCALLY)
    list(APPEND extra_cmake_args
      "-DZLIB_ROOT=${CMAKE_CURRENT_BINARY_DIR}/zlib-install")
  endif()

  if(DEFINED CMAKE_TOOLCHAIN_FILE)
    list(APPEND extra_cmake_args "-DCMAKE_TOOLCHAIN_FILE=${CMAKE_TOOLCHAIN_FILE}")
  else()
    list(APPEND extra_cmake_args "-DCMAKE_C_COMPILER=${CMAKE_C_COMPILER}")
    list(APPEND extra_cmake_args "-DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}")
  endif()

  find_package(Patch REQUIRED)
  include(ExternalProject)
  ExternalProject_Add(ogre-v1.12.1
    URL https://github.com/OGRECave/ogre/archive/v1.12.1.zip
    URL_MD5 cdbea4006d223c173e0a93864111b936
    TIMEOUT 1200
    LOG_CONFIGURE ${should_log}
    LOG_BUILD ${should_log}
    CMAKE_ARGS
      -DOGRE_STATIC:BOOL=OFF
      -DOGRE_DEPENDENCIES_DIR=${CMAKE_CURRENT_BINARY_DIR}/ogredeps
      -DOGRE_INSTALL_PDB:BOOL=OFF
      -DOGRE_BUILD_DEPENDENCIES:BOOL=OFF
      -DOGRE_BUILD_TESTS:BOOL=OFF
      -DOGRE_BUILD_SAMPLES:BOOL=FALSE
      -DOGRE_INSTALL_SAMPLES:BOOL=FALSE
      -DOGRE_INSTALL_SAMPLES_SOURCE:BOOL=FALSE
      -DOGRE_CONFIG_THREADS:STRING=0
      -DOGRE_RESOURCEMANAGER_STRICT:STRING=2
      -DCMAKE_SKIP_INSTALL_RPATH:BOOL=ON
      -DCMAKE_INSTALL_PREFIX=${CMAKE_CURRENT_BINARY_DIR}/ogre_install
      -DOGRE_BUILD_LIBS_AS_FRAMEWORKS:BOOL=OFF
      -DOGRE_BUILD_COMPONENT_PYTHON:BOOL=FALSE
      -DOGRE_BUILD_COMPONENT_JAVA:BOOL=FALSE
      -DOGRE_BUILD_COMPONENT_CSHARP:BOOL=FALSE
      -DOGRE_BUILD_COMPONENT_BITES:BOOL=FALSE
      ${extra_cmake_args}
      -Wno-dev
    PATCH_COMMAND
      ${Patch_EXECUTABLE} -p1 -N < ${CMAKE_CURRENT_SOURCE_DIR}/pragma-patch.diff &&
      ${Patch_EXECUTABLE} -p1 -N < ${CMAKE_CURRENT_SOURCE_DIR}/fix-arm64.diff
    COMMAND
      ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/FindFreetype.cmake ${CMAKE_CURRENT_BINARY_DIR}/ogre-v1.12.1-prefix/src/ogre-v1.12.1/CMake/Packages/FindFreetype.cmake
  )

  if(BUILDING_FREETYPE_LOCALLY)
    add_dependencies(ogre-v1.12.1 freetype-2.8.1)
  endif()
  if(BUILDING_ZLIB_LOCALLY)
    add_dependencies(ogre-v1.12.1 zlib-1.2.11)
  endif()

  # The external project will install to the build folder, but we'll install that on make install.
  install(
    DIRECTORY
      ${CMAKE_CURRENT_BINARY_DIR}/ogre_install/
    DESTINATION
      ${CMAKE_INSTALL_PREFIX}/opt/rviz_ogre_vendor
    USE_SOURCE_PERMISSIONS
  )
endmacro()

if(BUILDING_FREETYPE_LOCALLY)
  build_freetype()
endif()
if(BUILDING_ZLIB_LOCALLY)
  build_zlib()
endif()

build_ogre()

if(WIN32)
  ament_environment_hooks(env_hook/rviz_ogre_vendor_library_path.bat)
  set(ENV_VAR_NAME "PATH")
  set(ENV_VAR_VALUE "opt\\rviz_ogre_vendor\\bin")
else()
  ament_environment_hooks(env_hook/rviz_ogre_vendor_library_path.sh)
  if(APPLE)
    set(ENV_VAR_NAME "DYLD_LIBRARY_PATH")
  else()
    set(ENV_VAR_NAME "LD_LIBRARY_PATH")
  endif()
  set(ENV_VAR_VALUE "opt/rviz_ogre_vendor/lib")
endif()
ament_environment_hooks(env_hook/rviz_ogre_vendor_library_path.dsv.in)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package(
  CONFIG_EXTRAS "rviz_ogre_vendor-extras.cmake.in"
)

=== debian/changelog ===
ros-humble-rviz-ogre-vendor (11.2.7-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 22:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.6-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 22:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.5-1jammy) jammy; urgency=high

  * Fixes policy CMP0135 warning for CMake >= 3.24 (#898 <https://github.com/ros2/rviz/issues/898>) (#936 <https://github.com/ros2/rviz/issues/936>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 23:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.4-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 23:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 22:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.2-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 22:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 22:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 22:00:00 -0000

ros-humble-rviz-ogre-vendor (11.1.1-1jammy) jammy; urgency=high

  * Fix interface link libraries in ogre vendor (#761 <https://github.com/ros2/rviz/issues/761>)
  * Contributors: Laszlo Turanyi

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 22:00:00 -0000

ros-humble-rviz-ogre-vendor (11.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 23:00:00 -0000

ros-humble-rviz-ogre-vendor (11.0.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 23:00:00 -0000

ros-humble-rviz-ogre-vendor (10.0.0-1jammy) jammy; urgency=high

  * Fix the build for Ubuntu Jammy arm64. (#828 <https://github.com/ros2/rviz/issues/828>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 23:00:00 -0000

ros-humble-rviz-ogre-vendor (9.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 23:00:00 -0000

ros-humble-rviz-ogre-vendor (9.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 23:00:00 -0000

ros-humble-rviz-ogre-vendor (9.0.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 23:00:00 -0000

ros-humble-rviz-ogre-vendor (9.0.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Nov 2021 23:00:00 -0000

ros-humble-rviz-ogre-vendor (8.7.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Aug 2021 22:00:00 -0000

ros-humble-rviz-ogre-vendor (8.6.0-1jammy) jammy; urgency=high

  * Strip RPATH from installed Ogre binaries (#688 <https://github.com/ros2/rviz/issues/688>)
  * Contributors: Michel Hidalgo

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 May 2021 22:00:00 -0000

ros-humble-rviz-ogre-vendor (8.5.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 22:00:00 -0000

ros-humble-rviz-ogre-vendor (8.4.0-1jammy) jammy; urgency=high

  * Always preserve source permissions in vendor packages (#647 <https://github.com/ros2/rviz/issues/647>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Mar 2021 23:00:00 -0000

ros-humble-rviz-ogre-vendor (8.3.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 24 Jan 2021 23:00:00 -0000

ros-humble-rviz-ogre-vendor (8.3.0-1jammy) jammy; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Pass through CMAKE_{C,CXX}_FLAGS to OGRE build (#587 <https://github.com/ros2/rviz/issues/587>)
  * Contributors: Jacob Perron, Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 07 Dec 2020 23:00:00 -0000

ros-humble-rviz-ogre-vendor (8.2.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 22 Jun 2020 22:00:00 -0000

ros-humble-rviz-ogre-vendor (8.1.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-humble-rviz-ogre-vendor (8.1.0-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 22:00:00 -0000

ros-humble-rviz-ogre-vendor (8.0.3-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 22:00:00 -0000

ros-humble-rviz-ogre-vendor (8.0.2-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 20 May 2020 22:00:00 -0000

ros-humble-rviz-ogre-vendor (8.0.1-1jammy) jammy; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 06 May 2020 22:00:00 -0000

ros-humble-rviz-ogre-vendor (8.0.0-1jammy) jammy; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Switched to the CMake Patch module. (#509 <https://github.com/ros2/rviz/issues/509>)
  * Contributors: Dan Rose, Mikael Arguedas

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 30 Apr 2020 22:00:00 -0000

ros-humble-rviz-ogre-vendor (7.0.3-1jammy) jammy; urgency=high

  * Skip freetype2 dependencies (#405 <https://github.com/ros2/rviz/issues/405>)
  * Contributors: Sean Yen

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 Nov 2019 23:00:00 -0000

ros-humble-rviz-ogre-vendor (7.0.2-1jammy) jammy; urgency=high

  * Switch back to patch instead of git apply (#470 <https://github.com/ros2/rviz/issues/470>)


## ros-humble-rviz-ogre-vendor 11.2.12

=== debian/changelog ===
ros-humble-rviz-ogre-vendor (11.2.12-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.11-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.10-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.9-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.8-1bookworm) bookworm; urgency=high

  * Make resource file paths relative (#862 <https://github.com/ros2/rviz/issues/862>) (#867 <https://github.com/ros2/rviz/issues/867>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.7-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.6-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.5-1bookworm) bookworm; urgency=high

  * Fixes policy CMP0135 warning for CMake >= 3.24 (#898 <https://github.com/ros2/rviz/issues/898>) (#936 <https://github.com/ros2/rviz/issues/936>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.4-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.3-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.2-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.1.1-1bookworm) bookworm; urgency=high

  * Fix interface link libraries in ogre vendor (#761 <https://github.com/ros2/rviz/issues/761>)
  * Contributors: Laszlo Turanyi

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.1.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.0.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (10.0.0-1bookworm) bookworm; urgency=high

  * Fix the build for Ubuntu Jammy arm64. (#828 <https://github.com/ros2/rviz/issues/828>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (9.1.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (9.1.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (9.0.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rviz-ogre-vendor (9.0.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.7.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.6.0-1bookworm) bookworm; urgency=high

  * Strip RPATH from installed Ogre binaries (#688 <https://github.com/ros2/rviz/issues/688>)
  * Contributors: Michel Hidalgo

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 May 2021 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.5.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.4.0-1bookworm) bookworm; urgency=high

  * Always preserve source permissions in vendor packages (#647 <https://github.com/ros2/rviz/issues/647>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.3.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.3.0-1bookworm) bookworm; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Pass through CMAKE_{C,CXX}_FLAGS to OGRE build (#587 <https://github.com/ros2/rviz/issues/587>)
  * Contributors: Jacob Perron, Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.2.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 22 Jun 2020 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.1.1-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.1.0-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.0.3-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 01 Jun 2020 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.0.2-1bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 20 May 2020 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.0.1-1bookworm) bookworm; urgency=high





=== debian/control ===
Source: ros-humble-rviz-ogre-vendor
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), git, libfreetype6-dev, libgl1-mesa-dev, libglu1-mesa-dev, libx11-dev, libxaw7-dev, libxrandr-dev, pkg-config, ros-humble-ament-cmake, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ros-workspace
Homepage: https://www.ogre3d.org/
Standards-Version: 3.9.2

Package: ros-humble-rviz-ogre-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfreetype6, libfreetype6-dev, libgl1-mesa-dev, libglu1-mesa-dev, libx11-dev, libxaw7-dev, libxrandr-dev, ros-humble-ros-workspace
Description: Wrapper around ogre3d, it provides a fixed CMake module and an ExternalProject build of ogre.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rviz-ogre-vendor//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rviz-ogre-vendor//opt/ros/humble/opt/rviz_ogre_vendor/lib/:$(CURDIR)/debian/ros-humble-rviz-ogre-vendor//opt/ros/humble/opt/rviz_ogre_vendor/lib/OGRE/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rviz-ogre-vendor 11.2.13

=== debian/changelog ===
ros-humble-rviz-ogre-vendor (11.2.13-2bookworm) bookworm; urgency=high

  * Migrate some security-related changes from iron to humble (#1238 <https://github.com/ros2/rviz/issues/1238>)
  * Contributors: xueying

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 25 Jul 2024 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.12-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Mar 2024 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.11-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 15 Feb 2024 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.10-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 23 Jan 2024 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.9-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 12 Nov 2023 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.8-2bookworm) bookworm; urgency=high

  * Make resource file paths relative (#862 <https://github.com/ros2/rviz/issues/862>) (#867 <https://github.com/ros2/rviz/issues/867>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 18 Sep 2023 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.7-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 26 Jul 2023 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.6-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.5-2bookworm) bookworm; urgency=high

  * Fixes policy CMP0135 warning for CMake >= 3.24 (#898 <https://github.com/ros2/rviz/issues/898>) (#936 <https://github.com/ros2/rviz/issues/936>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 Jan 2023 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.4-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.3-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.2-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 09 May 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Apr 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.2.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.1.1-2bookworm) bookworm; urgency=high

  * Fix interface link libraries in ogre vendor (#761 <https://github.com/ros2/rviz/issues/761>)
  * Contributors: Laszlo Turanyi

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 29 Mar 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.1.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 23 Mar 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (11.0.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (10.0.0-2bookworm) bookworm; urgency=high

  * Fix the build for Ubuntu Jammy arm64. (#828 <https://github.com/ros2/rviz/issues/828>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 15 Feb 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (9.1.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 24 Jan 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (9.1.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rviz-ogre-vendor (9.0.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-rviz-ogre-vendor (9.0.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Nov 2021 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.7.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 10 Aug 2021 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.6.0-2bookworm) bookworm; urgency=high

  * Strip RPATH from installed Ogre binaries (#688 <https://github.com/ros2/rviz/issues/688>)
  * Contributors: Michel Hidalgo

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 12 May 2021 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.5.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.4.0-2bookworm) bookworm; urgency=high

  * Always preserve source permissions in vendor packages (#647 <https://github.com/ros2/rviz/issues/647>)
  * Contributors: Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.3.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.3.0-2bookworm) bookworm; urgency=high

  * Add linters and use ament_lint_auto (#608 <https://github.com/ros2/rviz/issues/608>)
  * Update maintainers (#607 <https://github.com/ros2/rviz/issues/607>)
  * Pass through CMAKE_{C,CXX}_FLAGS to OGRE build (#587 <https://github.com/ros2/rviz/issues/587>)
  * Contributors: Jacob Perron, Scott K Logan

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.2.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 22 Jun 2020 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.1.1-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.1.0-2bookworm) bookworm; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 02 Jun 2020 16:00:00 -0000

ros-humble-rviz-ogre-vendor (8.0.3-2bookworm) bookworm; urgency=high





=== debian/control ===
Source: ros-humble-rviz-ogre-vendor
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), git, libfreetype-dev, libgl1-mesa-dev, libglu1-mesa-dev, libx11-dev, libxaw7-dev, libxrandr-dev, pkg-config, ros-humble-ament-cmake, ros-humble-ament-cmake-xmllint <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ros-workspace
Homepage: https://www.ogre3d.org/
Standards-Version: 3.9.2

Package: ros-humble-rviz-ogre-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfreetype-dev, libfreetype6, libgl1-mesa-dev, libglu1-mesa-dev, libx11-dev, libxaw7-dev, libxrandr-dev, ros-humble-ros-workspace
Description: Wrapper around ogre3d, it provides a fixed CMake module and an ExternalProject build of ogre.
